## jack-midi-clock 0.4.1

=== Makefile ===
PREFIX ?= /usr/local
bindir ?= $(PREFIX)/bin
mandir ?= $(PREFIX)/share/man

CFLAGS ?= -Wall -O3
VERSION?=$(shell (git describe --tags HEAD 2>/dev/null || echo "v0.4.1") | sed 's/^v//')

###############################################################################

ifeq ($(shell pkg-config --exists jack || echo no), no)
  $(warning *** libjack from http://jackaudio.org is required)
  $(error   Please install libjack-dev, libjack-jackd2-dev)
endif

###############################################################################

override CFLAGS += -DVERSION="\"$(VERSION)\""
override CFLAGS += `pkg-config --cflags jack`
LOADLIBES = `pkg-config --cflags --libs jack` -lm -lpthread
man1dir   = $(mandir)/man1

###############################################################################

default: all

jack_midi_clock: jack_midi_clock.c

jack_mclk_dump: jack_mclk_dump.c

install-bin: jack_midi_clock jack_mclk_dump
	install -d $(DESTDIR)$(bindir)
	install -m755 jack_midi_clock $(DESTDIR)$(bindir)
	install -m755 jack_mclk_dump $(DESTDIR)$(bindir)

install-man: jack_midi_clock.1 jack_mclk_dump.1
	install -d $(DESTDIR)$(man1dir)
	install -m644 jack_midi_clock.1 $(DESTDIR)$(man1dir)
	install -m644 jack_mclk_dump.1 $(DESTDIR)$(man1dir)

uninstall-bin:
	rm -f $(DESTDIR)$(bindir)/jack_midi_clock
	rm -f $(DESTDIR)$(bindir)/jack_mclk_dump
	-rmdir $(DESTDIR)$(bindir)

uninstall-man:
	rm -f $(DESTDIR)$(man1dir)/jack_midi_clock.1
	rm -f $(DESTDIR)$(man1dir)/jack_mclk_dump.1
	-rmdir $(DESTDIR)$(man1dir)
	-rmdir $(DESTDIR)$(mandir)

clean:
	rm -f jack_midi_clock jack_mclk_dump

man: jack_midi_clock jack_mclk_dump
	help2man -N -n 'JACK MIDI Beat Clock Generator' -o jack_midi_clock.1 ./jack_midi_clock
	help2man -N -n 'JACK MIDI Beat Clock Decoder' -o jack_mclk_dump.1 ./jack_mclk_dump

all: jack_midi_clock jack_mclk_dump

install: install-bin install-man

uninstall: uninstall-bin uninstall-man

.PHONY: default all man clean install install-bin install-man uninstall uninstall-bin uninstall-man

=== debian/changelog ===
jack-midi-clock (0.4.1-1build1) wily; urgency=medium

  * No-change rebuild against libjack-jackd2-0v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 11 Aug 2015 06:45:37 +0000

jack-midi-clock (0.4.1-1) unstable; urgency=low

  * Initial release (Closes: #711798)  

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 10 Jun 2013 01:12:09 +0200

=== debian/control ===
Source: jack-midi-clock
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends:
 debhelper (>= 9),
 libjack-dev,
Standards-Version: 3.9.4
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/jack-midi-clock.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/jack-midi-clock.git
Homepage: https://github.com/x42/jack_midi_clock

Package: jack-midi-clock
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: JACK client that sends MIDI beat clock pulses
 A simple and robust command-line tool to send
 MIDI beat clock that accurately follows JACK Transport.
 .
 It also features an instumentation tool to parse and dump
 incoming MCLK messages.

## jack-midi-clock 0.4.1-1kxstudio3

=== debian/changelog ===
jack-midi-clock (0.4.1-1kxstudio3) lucid; urgency=low

  * Import package

 -- falkTX <falktx@gmail.com>  Fri, 14 Jun 2013 09:42:00 +0100

jack-midi-clock (0.4.1-0.1) unstable; urgency=low

  * locally created custom package for upstream testing -- NMU
  * see upstream ChangeLog
  * https://github.com/x42/jack_midi_clock/commits/master

 -- Robin Gareus <robin@gareus.org>  Mon, 27 May 2013 18:09:12 +0200

=== debian/control ===
Source: jack-midi-clock
Section: sound
Priority: optional
Maintainer: Robin Gareus <robin@gareus.org>
Build-Depends: debhelper (>= 8),
 libjack-dev | libjack-jackd2-dev
Homepage: http://www.teuton.org/~gabriel/jack_midi_clock
Standards-Version: 3.8.4

Package: jack-midi-clock
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: MIDI beat clock utility
 A simple and robust command-line tool to send
 MIDI beat clock that accurately follows JACK Transport.
 .
 It also features an instumentation tool to parse and dump
 incoming MCLK messages.

=== debian/rules ===
#!/usr/bin/make -f

CFLAGS+=-O2 -ffast-math -mtune=generic -msse -msse2 -mfpmath=sse

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$// \
https://github.com/x42/jack_midi_clock/tags .*/v(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## jack-midi-clock 0.4.2

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 mandir ?= $(PREFIX)/share/man
 
 CFLAGS ?= -Wall -O3
-VERSION?=$(shell (git describe --tags HEAD 2>/dev/null || echo "v0.4.1") | sed 's/^v//')
+VERSION?=$(shell (git describe --tags HEAD 2>/dev/null || echo "v0.4.2") | sed 's/^v//')
 
 ###############################################################################
 
@@ -14,6 +14,7 @@
 
 ###############################################################################
 
+override CFLAGS += -DWITH_JITTER
 override CFLAGS += -DVERSION="\"$(VERSION)\""
 override CFLAGS += `pkg-config --cflags jack`
 LOADLIBES = `pkg-config --cflags --libs jack` -lm -lpthread

=== debian/changelog ===
jack-midi-clock (0.4.2-1) unstable; urgency=medium

  * Imported Upstream version 0.4.2
  * Patches apllied upstream.
  * Bump Standards.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 01 Dec 2015 14:55:59 +0100

=== debian/control ===
Source: jack-midi-clock
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends:
 debhelper (>= 9),
 libjack-dev,
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/jack-midi-clock.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/jack-midi-clock.git
Homepage: https://github.com/x42/jack_midi_clock

Package: jack-midi-clock
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: JACK client that sends MIDI beat clock pulses
 A simple and robust command-line tool to send
 MIDI beat clock that accurately follows JACK Transport.
 .
 It also features an instumentation tool to parse and dump
 incoming MCLK messages.

## jack-midi-clock 0.4.3

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 mandir ?= $(PREFIX)/share/man
 
 CFLAGS ?= -Wall -O3
-VERSION?=$(shell (git describe --tags HEAD 2>/dev/null || echo "v0.4.2") | sed 's/^v//')
+VERSION?=$(shell (git describe --tags HEAD 2>/dev/null || echo "v0.4.3") | sed 's/^v//')
 
 ###############################################################################

=== debian/changelog ===
jack-midi-clock (0.4.3-2) unstable; urgency=medium

  * Team upload.

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org.

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Debian Janitor ]
  * Bump debhelper from old 10 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #901452)
    + cross.patch: Make pkg-config substitutable.
    + Use dpkg's buildtools.mk to pass cross tools for all targets.

 -- Bastian Germann <bage@debian.org>  Wed, 27 Sep 2023 10:06:25 +0200

jack-midi-clock (0.4.3-1) unstable; urgency=medium

  * New upstream version 0.4.3 (Closes: #839315)
  * Bump Standards.
  * Fix VCS fields.
  * Fix hardening.
  * Set dh/compat 10.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sat, 01 Oct 2016 23:39:20 +0200

=== debian/control ===
Source: jack-midi-clock
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends:
 debhelper-compat (= 13),
 libjack-dev,
Standards-Version: 3.9.8
Vcs-Git: https://salsa.debian.org/multimedia-team/jack-midi-clock.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/jack-midi-clock
Homepage: https://github.com/x42/jack_midi_clock

Package: jack-midi-clock
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: JACK client that sends MIDI beat clock pulses
 A simple and robust command-line tool to send
 MIDI beat clock that accurately follows JACK Transport.
 .
 It also features an instumentation tool to parse and dump
 incoming MCLK messages.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DPKG_EXPORT_BUILDTOOLS=1
-include /usr/share/dpkg/buildtools.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@
